function handles = fixVertexMgen( handles, vi )
%handles = fixVertexMgen( handles, vi )
%   Fix or unfix a morphogen at a vertex.

    output = handles.output;
    handles.mesh = establishInteractionMode( handles.mesh, ...
        'morphFix', ...
        handles.mesh.globalProps.displayedGrowth );
    handles.mesh = updateSelection( handles.mesh, [], [], vi, 0 );
    attemptCommand( handles, false, false, ... % WARNING: Does not always need redraw.
        'fix_mgen', ...
        handles.mesh.globalProps.displayedGrowth, ...
        'vertex', vi, ...
        'fix', ismember( vi, handles.mesh.selection.highlightedVxs ) );
    handles = guidata( output );
end
